module gin-cpularp

go 1.24.2

replace example.com/database => ./lib/database

replace example.com/database/user => ./lib/database/user

replace example.com/database/character => ./lib/database/character

replace example.com/database/functionset => ./lib/database/functionset

replace example.com/database/inventoryslot => ./lib/database/inventoryslot

replace example.com/database/customization => ./lib/database/customization

replace example.com/database/item => ./lib/database/item

replace example.com/database/itemtag => ./lib/database/itemtag

replace example.com/database/person => ./lib/database/person

replace example.com/database/role => ./lib/database/role

replace example.com/database/schematic => ./lib/database/schematic

replace example.com/database/tier => ./lib/database/tier

replace example.com/database/group => ./lib/database/group

replace example.com/database/function => ./lib/database/function

replace example.com/database/functiontag => ./lib/database/functiontag

replace example.com/config/server => ./lib/config/server

replace example.com/auth/discord => ./lib/auth/discord

replace example.com/api => ./lib/api

require (
	example.com/api v0.0.0
	example.com/auth/discord v0.0.0
	example.com/database v0.0.0
	github.com/gin-gonic/gin v1.10.0
)

require (
	example.com/config/server v0.0.0 // indirect
	example.com/database/character v0.0.0 // indirect
	example.com/database/customization v0.0.0 // indirect
	example.com/database/function v0.0.0 // indirect
	example.com/database/functionset v0.0.0 // indirect
	example.com/database/functiontag v0.0.0 // indirect
	example.com/database/group v0.0.0 // indirect
	example.com/database/inventoryslot v0.0.0 // indirect
	example.com/database/item v0.0.0 // indirect
	example.com/database/itemtag v0.0.0 // indirect
	example.com/database/person v0.0.0 // indirect
	example.com/database/role v0.0.0 // indirect
	example.com/database/schematic v0.0.0 // indirect
	example.com/database/tier v0.0.0 // indirect
	example.com/database/user v0.0.0 // indirect
	github.com/bytedance/sonic v1.13.2 // indirect
	github.com/bytedance/sonic/loader v0.2.4 // indirect
	github.com/cloudwego/base64x v0.1.5 // indirect
	github.com/cloudwego/iasm v0.2.0 // indirect
	github.com/gabriel-vasile/mimetype v1.4.8 // indirect
	github.com/gin-contrib/cors v1.7.5 // indirect
	github.com/gin-contrib/sse v1.0.0 // indirect
	github.com/go-playground/locales v0.14.1 // indirect
	github.com/go-playground/universal-translator v0.18.1 // indirect
	github.com/go-playground/validator/v10 v10.26.0 // indirect
	github.com/goccy/go-json v0.10.5 // indirect
	github.com/jinzhu/inflection v1.0.0 // indirect
	github.com/jinzhu/now v1.1.5 // indirect
	github.com/json-iterator/go v1.1.12 // indirect
	github.com/klauspost/cpuid/v2 v2.2.10 // indirect
	github.com/leodido/go-urn v1.4.0 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/mattn/go-sqlite3 v1.14.22 // indirect
	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
	github.com/modern-go/reflect2 v1.0.2 // indirect
	github.com/pelletier/go-toml/v2 v2.2.4 // indirect
	github.com/ravener/discord-oauth2 v0.0.0-20230514095040-ae65713199b3 // indirect
	github.com/twitchyliquid64/golang-asm v0.15.1 // indirect
	github.com/ugorji/go/codec v1.2.12 // indirect
	github.com/xyproto/randomstring v1.2.0 // indirect
	golang.org/x/arch v0.15.0 // indirect
	golang.org/x/crypto v0.36.0 // indirect
	golang.org/x/net v0.38.0 // indirect
	golang.org/x/oauth2 v0.29.0 // indirect
	golang.org/x/sys v0.31.0 // indirect
	golang.org/x/text v0.23.0 // indirect
	google.golang.org/protobuf v1.36.6 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
	gorm.io/driver/sqlite v1.5.7 // indirect
	gorm.io/gorm v1.25.12 // indirect
)
